# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section	free

Name:		monolog
Version:	2.0
Release:	3%{?dist}
Epoch:		0
Summary:	API for monitoring and logging
License:	LGPL
URL:		http://monolog.objectweb.org/
Group:		Development/Libraries/Java
Source0:	monolog_%{version}_src.tar.gz
## cvs -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/monolog login
##  cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/monolog export -r MONOLOG_1_9_2 monolog
Source1:	http://repo1.maven.org/maven2/org/objectweb/monolog/monolog/2.1.12/monolog-2.1.12.pom
Patch0:         monolog_2.0_build.patch

BuildRequires:	jpackage-utils >= 0:1.7.3
BuildRequires:	java-devel >= 0:1.5.0
BuildRequires:	ant >= 0:1.6.5
BuildRequires:	junit
BuildRequires:	log4j
BuildRequires:	mx4j
BuildRequires:	objectweb-anttask
BuildRequires:  p6spy
BuildRequires:  velocity
Requires:	java >= 0:1.5.0
Requires(post):    jpackage-utils >= 0:1.7.3
Requires(postun):  jpackage-utils >= 0:1.7.3

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Monolog is an API of monitoring and logging.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.


%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm -f {} \;
%patch0 -b .sav0
# also build ow_util_io.jar (required by medor)
mv shared.old/src/io src/org/objectweb/util
mv shared.old/archive/ow_util_io.xml archive

%build
export CLASSPATH=$(build-classpath junit log4j mx4j/mx4j objectweb-anttask p6spy velocity)
pushd externals
for jar in $(echo $CLASSPATH | sed 's/:/ /g'); do
ln -sf ${jar} .
done
popd
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

rm -f output/dist/lib/ow_util_all*.jar
rm -f output/dist/lib/ow_util_ant*.jar
for jar in output/dist/lib/*.jar; do
install -m 644 ${jar} \
$RPM_BUILD_ROOT%{_javadir}/%{name}/`basename ${jar} .jar`-%{version}.jar
done

(cd $RPM_BUILD_ROOT%{_javadir}//%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-ow_%{name}.pom
%add_to_maven_depmap org.objectweb.monolog %{name} %{version} JPP/%{name} ow_%{name}

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Mar 18 2009 Ralph Apel <fnasser@redhat.com> 0:2.0-3.jpp5
- First JPP-5 build

* Thu Mar 09 2006 Fernando Nasser <fnasser@redhat.com> 0:2.0-2jpp
- First JPP 1.7 build

* Wed Jul 27 2005 Fernando Nasser <fnasser@redhat.com> 0:2.0-1jpp
- Upgrade to 2.0

* Wed Jul 20 2005 Fernando Nasser <fnasser@redhat.com> 0:1.9.2-1jpp_2rh
  From Gary Benson <gbenson@redhat.com>
- Also build ow_util_io.jar, as required by medor.

* Fri Jun 10 2005 Fernando Nasser <fnasser@redhat.com> 0:1.9.2-1jpp
- Upgrade to 1.9.2

* Fri Jun 03 2005 Fernando Nasser <fnasser@redhat.com> 0:1.9.1-1jpp
- Upgrade to 1.9.1

* Fri Nov 12 2004 Fernando Nasser <fnasser@redhat.com> 0:1.8.6-1jpp
- Upgrade to 1.8.6
- No more dependencies on fractal; those were moved to monolog-fractal

* Fri Nov 12 2004 Ralph Apel <r.apel at r-apel.de> 0:1.8.3-1jpp
- Upgrade to 1.8.3 from CVS for jonas and some other objectweb packages
- Drop fractal/fractal-util from CLASSPATH: doesn't exist any more
- Drop monolog/ow_monolog from CLASSPATH: not required (but owanttask is!)
- Drop monolog as a BuildRequires
- Drop fractal/fractal-adl from CLASSPATH: not required
- Include source of org.objectweb.fractal.api.control.AttributeController
- Drop fractal as a BuildRequires

- Drop xalan-j2 from CLASSPATH and as a BuildRequires: not used
- There are no non-optional runtime Requires
- There are no external dependencies left, because ADLConverter includes
  sources which are compiled at build time

* Tue Sep 21 2004 Ralph Apel <r.apel at r-apel.de> 0:1.8-2jpp
- Decouple ow_util_ant_tasks.jar, don't include it in package
- Require separate owanttask 1.2
- Still require monolog
- Automatically convert ADL description to ADL 2 for fractal 2.2 during prep

* Mon Aug 23 2004 Fernando Nasser <fnasser@redhat.com> 0:1.8-1jpp
- Upgrade to 1.8
- Rebuilt with Ant 1.6.2

* Thu Jan 29 2004 David Walluck <david@anti-microsoft.org> 0:1.7-2jpp
- don't own %%{_javadir}

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:1.7-1jpp
- release
